Abort Transaction

API Explorer
loading...
POST
/v2/Payment/AbortTransaction

AbortTransaction cancels an active transaction on the terminal. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://example.com/v2/Payment/AbortTransaction" \  -H "Content-Type: application/json" \  -d '{    "ReferenceId": "",    "Tpn": "",    "RegisterId": "",    "Authkey": "",    "CustomFields": {}  }'
{
  "GeneralResponse": {
    "ResultCode": "0",
    "StatusCode": "0000",
    "Message": "",
    "DetailedMessage": "",
    "DelayBeforeNextRequest": null
  }
}
{
  "GeneralResponse": {
    "ResultCode": "0",
    "StatusCode": "0000",
    "Message": "",
    "DetailedMessage": "",
    "DelayBeforeNextRequest": null
  }
}